Open SCAP Library

Public Member Functions
cpe_vendor Struct Reference
CPE » CPE Dictionary

Structure with information about vendor. More...

`#include <cpe_dict.h>`

## Public Member Functions
void | cpe_vendor_free (struct cpe_vendor *vendor)
struct cpe_vendor * | cpe_vendor_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | cpe_vendor_get_value (const struct cpe_vendor *item)
| cpe_vendor functions to get vendor value More...
struct oscap_text_iterator * | cpe_vendor_get_titles (const struct cpe_vendor *item)
| cpe_vendor functions to get vendor titles More...
struct cpe_product_iterator * | cpe_vendor_get_products (const struct cpe_vendor *item)
| cpe_vendor functions to get vendor products More...
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cpe_vendor_set_value (struct cpe_vendor *vendor, const char *new_value)
bool | cpe_vendor_add_title (struct cpe_vendor *vendor, struct oscap_text *new_title)
bool | cpe_vendor_add_product (struct cpe_vendor *vendor, struct cpe_product *new_product)

## Detailed Description

Structure with information about vendor.

The documentation for this struct was generated from the following file:

- cpe_dict.h